package net.wanji.opt.synthesis.pojo;

import lombok.Data;
import java.util.List;

/**
 * @author duanruiming
 * @date 2025/01/18 13:46
 */
@Data
public class StrategyControlSwitchReq {
    private List<Detail> req;

    @Data
    public static class Detail {
        /**
         * 路口干线Id
         */
        private String biz_id;
        /**
         * 类型 0-路口 1-干线
         */
        private Integer biz_type;
        /**
         * 策略类型 0-绿波带 1-失衡 2-溢出 3-空放
         */
        private Integer strategy;
        /**
         * 状态（1=开启，0=停止）
         */
        private Integer status;
    }
}
